UPDOWN(9)

NAME

updown - Counts up or down, with optional limits and wraparound behavior

SYNOPSIS

loadrt updown [count=N|names=name1[,name2...]]

FUNCTIONS

updown.N
    Process inputs and update count if necessary

PINS

updown.N.countup bit in
    Increment count when this pin goes from 0 to 1

updown.N.countdown bit in
    Decrement count when this pin goes from 0 to 1

updown.N.reset bit in
    Reset count when this pin goes from 0 to 1

updown.N.count s32 out
    The current count

PARAMETERS

updown.N.clamp bit rw
    If TRUE, then clamp the output to the min and max parameters.

updown.N.wrap bit rw
    If TRUE, then wrap around when the count goes above or below the min and max parameters. Note that wrap implies (and overrides) clamp.

updown.N.max s32 rw (default: 0x7FFFFFFF)
    If clamp or wrap is set, count will never exceed this number

updown.N.min s32 rw
    If clamp or wrap is set, count will never be less than this number

AUTHOR

Stephen Wille Padnos

LICENSE

GPL